﻿using Hotline.Share.Dtos.DataSharing.Province.XieTong.Send;
using Hotline.Share.Dtos.Knowledge;
using Hotline.Share.Dtos.Order;
using Sharing.Province.Dtos.HuiJu.Send;


namespace Hotline.DataSharing.Province.Services
{
    /// <summary>
    /// 
    /// </summary>
    public interface IProvinceService
    {
        #region 协同-第一批次

        /// <summary>
        /// 退回申请    --已对接---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task GetCaseBackApply(PublishOrderSendBackDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单督办过程  --已对接-----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendSuperviseProcessInfo(PublishSuperviseDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单督办结果  --已对接----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendSuperviseResultInfo(PublishSuperviseDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 工单发起甄别  --已对接---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task ScreenCaseInfoSend(PublishScreenDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单申请延时  
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task DelayCaseInfoSend(DelayCaseInfoSendInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 政民互动提交公开  
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task ZmhdCaseInfoPublic(ZmhdCaseInfoPublicInfo dto, CancellationToken cancellationToken);
        #endregion

        #region 汇聚-第二批次

        /// <summary>
        /// 热线工单流程开启 --服务工单受理----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task OrderFlowStarted(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        ///热线工单期满时间变更--推送服务工单受理---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task HotlineOrderFlowRecalled(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 热线工单办理---服务工单处理/服务工单交办处理过程--缺少附件----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseProcess(OrderFlowDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 回访完成---服务工单回访评价/服务工单交办评价-----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitVisitInfo(PublishVisitDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 甄别通过---服务工单回访评价//服务工单交办评价----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitOrderScreenSuccess(PublishVisitDto dto, CancellationToken cancellationToken);

        /// <summary>
        ///热线工单归档---服务工单结果/服务工单交办处理结果--缺少附件---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task OrderFiled(OrderFlowDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 挂电话推送----电话记录---1
        /// </summary>
        /// <param name="dtos"></param>
        /// <returns></returns>
        Task SubmitCaseRecord(List<CallConnectOrderDto> dtos, CancellationToken cancellationToken);

        /// <summary>
        /// 关联工单了推送----电话记录---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseRecordOrder(CallConnectOrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 统计数据
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseTotal(CaseTotal dto, CancellationToken cancellationToken);

        #endregion

        #region 协同-第三批次
        /// <summary>
        /// 服务工单上报  --- 在派单的时候，确定需不需要往各个平台推送数据--已在工单办理推送事件中处理完成
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendCaseInfo(OrderDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 上报补充诉求
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
       Task SupplyCaseInfoSend(SupplyCaseInfoSendInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendRevokeCaseInfo(RevokeCaseInfoInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单催单--已对接
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendRemindCaseInfo(PublishUrgeDto dto, CancellationToken cancellationToken);

        #endregion

        #region 协同-第四批次

        #region 知识库--已对接附件
        /// <summary>
        /// 知识库上报----1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoSend(KnowledgeSendDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库变更---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoUpdate(KnowledgeSendDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库下架---1
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoAbandon(KnowledgeSendDto dto, CancellationToken cancellationToken);
        #endregion

        /// <summary>
        /// 实时服务上报
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SendRealTimeStatus(SendRealTimeStatusInfo dto, CancellationToken cancellationToken);
        #endregion
    }
}
