﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 上报工单评价
    /// </summary>
    [Description("上报工单评价")]
    public class DsGetVisitInfoSend : CreationModificationEntity
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价方式", ColumnDataType = "varchar(50)")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人
        /// </summary>
        [SugarColumn(ColumnDescription = "回访人", ColumnDataType = "varchar(200)")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [SugarColumn(ColumnDescription = "回访时间")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价情况", ColumnDataType = "varchar(1000)")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "回访结果满意度", ColumnDataType = "varchar(4)")]
        public string SubjectResultSatify { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)")]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
