﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Receive
{
    /// <summary>
    /// 交办工单满意度接收
    /// </summary>
    [Description("交办工单满意度接收")]
    public class DsSendCaseEvlResult : CreationModificationEntity
    {
        /// <summary>
        /// 评价时间
        /// </summary>
        [SugarColumn(ColumnDescription = "评价时间")]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 评价内容
        /// </summary>
        [SugarColumn(ColumnDescription = "评价内容", ColumnDataType = "text")]
        public string ReplyContent { get; set; }

        /// <summary>
        /// 结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "结果满意度", ColumnDataType = "varchar(2)")]
        public string ResultEvl { get; set; }

        /// <summary>
        /// 作风满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "作风满意度", ColumnDataType = "varchar(2)")]
        public string StyleEvl { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
